public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/
@ 2015-10-08  8:55 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2015-10-08  8:55 UTC (permalink / raw
  To: gentoo-commits

commit:     d99a068f774d8e9baf402c5424ecd6dedf34c9a5
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  8 08:53:03 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Oct  8 08:53:47 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d99a068f

app-vim/python-mode: Clean up old.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-vim/python-mode/Manifest                     |  1 -
 app-vim/python-mode/python-mode-0.6.10.ebuild    | 51 ----------------------
 app-vim/python-mode/python-mode-0.6.18-r2.ebuild | 54 ------------------------
 3 files changed, 106 deletions(-)

diff --git a/app-vim/python-mode/Manifest b/app-vim/python-mode/Manifest
index a0ced5e..015780c 100644
--- a/app-vim/python-mode/Manifest
+++ b/app-vim/python-mode/Manifest
@@ -1,2 +1 @@
-DIST python-mode-0.6.10.tar.gz 474266 SHA256 ed97b9c260cafa38e01d1bc988e611df8a4681922e3ba4022e5ccac692b8f583 SHA512 562d91a377e783b2cf2583910f4c6b0e8530be9533b513198f5ac97e7581672f95f69e752d391d2a6ad9ac0621c967bc46c02f79fdc38d25172f14267fe27f7e WHIRLPOOL 404458e298ab3c093c031ac00cf43e66652a8054fecfb4d2c481d73a2efbb6949409545f5269bcb43f519b19a27dd8b68fb75a166dce1e78d49e1899bfe17901
 DIST python-mode-0.6.18.tar.gz 386846 SHA256 d46ff14b7ee639b698d1b0ae0e7ca0dcfa95a315ffb25e523ae720461f399c1d SHA512 0e3159a055304443c8b15590c424ac0f4a4303e343882ff91f01f5b959274931dea83969ab1dcd19ce95894c7da5be60699d51b852dc73165a99a271feec4e64 WHIRLPOOL 1a6114999c1b832335268dd7dd3e9ebfd48ce9e35cdc7058e4a1011d3ac0aeb36df85ab52599460e449c0ee645303aca17a8ecb44533a5d137a9b904c426b1da

diff --git a/app-vim/python-mode/python-mode-0.6.10.ebuild b/app-vim/python-mode/python-mode-0.6.10.ebuild
deleted file mode 100644
index 9348671..0000000
--- a/app-vim/python-mode/python-mode-0.6.10.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=4
-
-VIM_PLUGIN_MESSAGES="filetype"
-VIM_PLUGIN_HELPFILES="PythonModeCommands"
-VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
-
-inherit vim-plugin vcs-snapshot
-
-DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
-HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
-SRC_URI="https://github.com/klen/${PN}/tarball/${PV} -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND=""
-RDEPEND="
-	dev-python/astng
-	dev-python/autopep8
-	dev-python/pyflakes
-	dev-python/pylint
-	dev-python/rope
-	dev-python/ropemode
-	"
-
-src_prepare() {
-	rm -rf pylibs/{logilab,*pep8.py,pyflakes,pylint,rope,ropemode} .gitignore
-	mv pylint.ini "${T}" || die
-	sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
-		-i plugin/pymode.vim || die # use custom path
-	sed -e "s/pylibs.autopep8/autopep8/g" -i pylibs/pymode/auto.py || die
-	sed -e "s/pylibs.ropemode/ropemode/g" -i pylibs/ropevim.py || die
-}
-
-src_install() {
-	vim-plugin_src_install
-	insinto usr/share/${PN}
-	doins "${T}"/pylint.ini
-}
-
-pkg_postinst() {
-	vim-plugin_pkg_postinst
-	einfo "If you use custom pylintrc make sure you append the contents of"
-	einfo " ${EPREFIX}/usr/share/${PN}/pylint.ini"
-	einfo "to it. Otherwise PyLint command will not work properly."
-}

diff --git a/app-vim/python-mode/python-mode-0.6.18-r2.ebuild b/app-vim/python-mode/python-mode-0.6.18-r2.ebuild
deleted file mode 100644
index 9f493ee..0000000
--- a/app-vim/python-mode/python-mode-0.6.18-r2.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-VIM_PLUGIN_MESSAGES="filetype"
-VIM_PLUGIN_HELPFILES="PythonModeCommands"
-VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
-
-inherit vim-plugin
-
-DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
-HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
-SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-python/astng
-	dev-python/autopep8
-	dev-python/pyflakes
-	dev-python/pylint
-	dev-python/rope
-	dev-python/ropemode
-	"
-
-src_prepare() {
-	# debundling fun
-	rm -rf pylibs/pylama/{pep8.py,pyflakes} pylibs/{autopep8.py}
-	#rm -rf pylibs/{rope,ropemode}  #475686
-	sed -e 's/from .pep8/from pep8/g' \
-		-e 's/from .pyflakes/from pyflakes/g' \
-		-i pylibs/pylama/utils.py || die
-	# there's still pylint left, I failed to debundle it :/
-
-	mv pylint.ini "${T}" || die
-	sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
-		-i autoload/pymode.vim || die # use custom path
-}
-
-src_install() {
-	vim-plugin_src_install
-	insinto usr/share/${PN}
-	doins "${T}"/pylint.ini
-}
-
-pkg_postinst() {
-	vim-plugin_pkg_postinst
-	einfo "If you use custom pylintrc make sure you append the contents of"
-	einfo " ${EPREFIX}/usr/share/${PN}/pylint.ini"
-	einfo "to it. Otherwise PyLint command will not work properly."
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/
@ 2017-05-27 15:19 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2017-05-27 15:19 UTC (permalink / raw
  To: gentoo-commits

commit:     b82a469c7cacd58d40b4d934d49c0d7316525ebe
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 21 16:29:16 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 27 15:19:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b82a469c

app-vim/python-mode: Port to python-single-r1

 app-vim/python-mode/python-mode-0.6.18-r4.ebuild | 62 ++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/app-vim/python-mode/python-mode-0.6.18-r4.ebuild b/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
new file mode 100644
index 00000000000..e8f195d59fa
--- /dev/null
+++ b/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIM_PLUGIN_MESSAGES="filetype"
+VIM_PLUGIN_HELPFILES="PythonModeCommands"
+VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1 vim-plugin
+
+DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	|| (
+		app-editors/vim[python,${PYTHON_USEDEP}]
+		app-editors/gvim[python,${PYTHON_USEDEP}]
+	)
+	dev-python/astng[${PYTHON_USEDEP}]
+	dev-python/autopep8[${PYTHON_USEDEP}]
+	dev-python/pyflakes[${PYTHON_USEDEP}]
+	dev-python/pylint[${PYTHON_USEDEP}]
+	dev-python/rope[${PYTHON_USEDEP}]
+	dev-python/ropemode[${PYTHON_USEDEP}]"
+
+src_prepare() {
+	eapply "${FILESDIR}"/${P}-dont-add-cwd-to-syspath.patch
+	eapply_user
+
+	# debundling fun
+	rm -rf pylibs/pylama/{pep8.py,pyflakes} pylibs/{autopep8.py}
+	#rm -rf pylibs/{rope,ropemode}  #475686
+	sed -e 's/from .pep8/from pep8/g' \
+		-e 's/from .pyflakes/from pyflakes/g' \
+		-i pylibs/pylama/utils.py || die
+	# there's still pylint left, I failed to debundle it :/
+
+	mv pylint.ini "${T}" || die
+	sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
+		-i autoload/pymode.vim || die # use custom path
+}
+
+src_install() {
+	vim-plugin_src_install
+	insinto usr/share/${PN}
+	doins "${T}"/pylint.ini
+}
+
+pkg_postinst() {
+	vim-plugin_pkg_postinst
+	einfo "If you use custom pylintrc make sure you append the contents of"
+	einfo " ${EPREFIX}/usr/share/${PN}/pylint.ini"
+	einfo "to it. Otherwise PyLint command will not work properly."
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/
@ 2017-06-20 12:53 Pacho Ramos
  0 siblings, 0 replies; 6+ messages in thread
From: Pacho Ramos @ 2017-06-20 12:53 UTC (permalink / raw
  To: gentoo-commits

commit:     64fc7658d1e7886c65c1716e399ab0e118e2fcf3
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 20 12:39:35 2017 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 12:53:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64fc7658

app-vim/python-mode: Cleanup metadata due to retirement

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 app-vim/python-mode/metadata.xml | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/app-vim/python-mode/metadata.xml b/app-vim/python-mode/metadata.xml
index e56f931cd6a..40d7427cf17 100644
--- a/app-vim/python-mode/metadata.xml
+++ b/app-vim/python-mode/metadata.xml
@@ -1,10 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>xarthisius@gentoo.org</email>
-		<name>Kacper Kowalik</name>
-	</maintainer>
 	<maintainer type="project">
 		<email>vim@gentoo.org</email>
 		<name>Gentoo Vim Project</name>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/
@ 2017-07-21 22:36 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2017-07-21 22:36 UTC (permalink / raw
  To: gentoo-commits

commit:     614cea5b7e5bd73013debda1ea192342ead88cb9
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 21 22:35:52 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Jul 21 22:36:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=614cea5b

app-vim/python-mode: version bump.

Gentoo-Bug: https://bugs.gentoo.org/580676

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-vim/python-mode/Manifest                 |  1 +
 app-vim/python-mode/python-mode-0.9.0.ebuild | 43 ++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-vim/python-mode/Manifest b/app-vim/python-mode/Manifest
index 015780cc231..b2af0c50214 100644
--- a/app-vim/python-mode/Manifest
+++ b/app-vim/python-mode/Manifest
@@ -1 +1,2 @@
 DIST python-mode-0.6.18.tar.gz 386846 SHA256 d46ff14b7ee639b698d1b0ae0e7ca0dcfa95a315ffb25e523ae720461f399c1d SHA512 0e3159a055304443c8b15590c424ac0f4a4303e343882ff91f01f5b959274931dea83969ab1dcd19ce95894c7da5be60699d51b852dc73165a99a271feec4e64 WHIRLPOOL 1a6114999c1b832335268dd7dd3e9ebfd48ce9e35cdc7058e4a1011d3ac0aeb36df85ab52599460e449c0ee645303aca17a8ecb44533a5d137a9b904c426b1da
+DIST python-mode-0.9.0.tar.gz 671985 SHA256 5a6c9ea3cd8e094318cc2acbbbf1f81e37b41a67d00eedcb1a6968f8524c8e5e SHA512 03aef010a95241abf9605ca334d95a2c0b917c61aea23f794e574acd56ba5d958032975d17d1af40a5edccd90f0172783a26fc301d799fd619bfd263da685161 WHIRLPOOL 1d8f9a3a74cc6ba4ab45267dfa8366e78e313a6b8a38f66a1b7c70e0e226b1f79b5b8a162cd841666ddbf663dbbd7a9df847d2b428b80a03ecb39126d375f1d5

diff --git a/app-vim/python-mode/python-mode-0.9.0.ebuild b/app-vim/python-mode/python-mode-0.9.0.ebuild
new file mode 100644
index 00000000000..1992f3c0658
--- /dev/null
+++ b/app-vim/python-mode/python-mode-0.9.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIM_PLUGIN_MESSAGES="filetype"
+VIM_PLUGIN_HELPFILES="PythonModeCommands"
+VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
+
+inherit vim-plugin eutils
+
+DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/rope
+	dev-python/astng
+	dev-python/pylint
+	dev-python/pyflakes
+	dev-python/autopep8
+	dev-python/ropemode"
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+
+	sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
+		-i autoload/pymode.vim || die # use custom path
+}
+
+src_install() {
+	vim-plugin_src_install
+	insinto usr/share/${PN}
+}
+
+pkg_postinst() {
+	vim-plugin_pkg_postinst
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/
@ 2017-09-02 10:12 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2017-09-02 10:12 UTC (permalink / raw
  To: gentoo-commits

commit:     99b5d36bcdc37ba39dbead5f0ad24ba88849cf0b
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  2 10:11:45 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Sep  2 10:12:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99b5d36b

app-vim/python-mode: convert back to python-single-r1.

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-vim/python-mode/python-mode-0.9.0-r1.ebuild | 48 +++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/app-vim/python-mode/python-mode-0.9.0-r1.ebuild b/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
new file mode 100644
index 00000000000..b17c1530666
--- /dev/null
+++ b/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIM_PLUGIN_MESSAGES="filetype"
+VIM_PLUGIN_HELPFILES="PythonModeCommands"
+VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit vim-plugin python-single-r1
+
+DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/rope[${PYTHON_USEDEP}]
+	dev-python/astng[${PYTHON_USEDEP}]
+	dev-python/pylint[${PYTHON_USEDEP}]
+	dev-python/pyflakes[${PYTHON_USEDEP}]
+	dev-python/autopep8[${PYTHON_USEDEP}]
+	dev-python/ropemode[${PYTHON_USEDEP}]"
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+
+	sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
+		-i autoload/pymode.vim || die # use custom path
+}
+
+src_install() {
+	vim-plugin_src_install
+	insinto "usr/share/${PN}"
+}
+
+pkg_postinst() {
+	vim-plugin_pkg_postinst
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/
@ 2018-03-07 22:15 Patrice Clement
  0 siblings, 0 replies; 6+ messages in thread
From: Patrice Clement @ 2018-03-07 22:15 UTC (permalink / raw
  To: gentoo-commits

commit:     f480e8fe2827231b5bc67fb3e150ef01b5023a63
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Wed Mar  7 18:51:24 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Mar  7 22:14:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f480e8fe

app-vim/pyton-mode: use HTTPS.

 app-vim/python-mode/python-mode-0.6.18-r3.ebuild | 4 ++--
 app-vim/python-mode/python-mode-0.6.18-r4.ebuild | 4 ++--
 app-vim/python-mode/python-mode-0.9.0-r1.ebuild  | 4 ++--
 app-vim/python-mode/python-mode-0.9.0.ebuild     | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/app-vim/python-mode/python-mode-0.6.18-r3.ebuild b/app-vim/python-mode/python-mode-0.6.18-r3.ebuild
index b261bed5342..6900bfbcd9b 100644
--- a/app-vim/python-mode/python-mode-0.6.18-r3.ebuild
+++ b/app-vim/python-mode/python-mode-0.6.18-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -10,7 +10,7 @@ VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
 inherit vim-plugin eutils
 
 DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
-HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+HOMEPAGE="https://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
 SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="LGPL-3"

diff --git a/app-vim/python-mode/python-mode-0.6.18-r4.ebuild b/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
index e8f195d59fa..0cfa612859c 100644
--- a/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
+++ b/app-vim/python-mode/python-mode-0.6.18-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -12,7 +12,7 @@ PYTHON_COMPAT=( python2_7 )
 inherit python-single-r1 vim-plugin
 
 DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
-HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+HOMEPAGE="https://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
 SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="LGPL-3"

diff --git a/app-vim/python-mode/python-mode-0.9.0-r1.ebuild b/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
index b17c1530666..4bb9eea27f0 100644
--- a/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
+++ b/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -12,7 +12,7 @@ PYTHON_COMPAT=( python2_7 )
 inherit vim-plugin python-single-r1
 
 DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
-HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+HOMEPAGE="https://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
 SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="LGPL-3"

diff --git a/app-vim/python-mode/python-mode-0.9.0.ebuild b/app-vim/python-mode/python-mode-0.9.0.ebuild
index 1992f3c0658..ea6be080f04 100644
--- a/app-vim/python-mode/python-mode-0.9.0.ebuild
+++ b/app-vim/python-mode/python-mode-0.9.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
 inherit vim-plugin eutils
 
 DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
-HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+HOMEPAGE="https://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
 SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="LGPL-3"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2018-03-07 22:15 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-07-21 22:36 [gentoo-commits] repo/gentoo:master commit in: app-vim/python-mode/ Patrice Clement
  -- strict thread matches above, loose matches on Subject: below --
2018-03-07 22:15 Patrice Clement
2017-09-02 10:12 Patrice Clement
2017-06-20 12:53 Pacho Ramos
2017-05-27 15:19 Michał Górny
2015-10-08  8:55 Patrice Clement

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox